aboutsummaryrefslogtreecommitdiff
path: root/dev-python/persistent
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/persistent')
-rw-r--r--dev-python/persistent/persistent-5.0.ebuild17
1 files changed, 14 insertions, 3 deletions
diff --git a/dev-python/persistent/persistent-5.0.ebuild b/dev-python/persistent/persistent-5.0.ebuild
index 9e9d5b6..f3f32d7 100644
--- a/dev-python/persistent/persistent-5.0.ebuild
+++ b/dev-python/persistent/persistent-5.0.ebuild
@@ -15,6 +15,8 @@ SRC_URI="https://github.com/zopefoundation/persistent/archive/${PV}.tar.gz -> ${
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
RDEPEND="
dev-python/cffi[${PYTHON_USEDEP}]
@@ -41,7 +43,16 @@ src_unpack() {
"${S}/src/persistent/tests/test_persistence.py" || die
}
-src_test() {
- cd "${S}/src/persistent" || die
- distutils-r1_src_test
+python_compile_all() {
+ # Create Zope Namespace
+ mkdir -p "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
+ echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+ "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+ build_sphinx docs
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
+
+# src_test() {
+# cd "${S}/src/persistent" || die
+# distutils-r1_src_test
+# }